<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>A-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#addAggregation-java.lang.String-java.lang.reflect.Type-java.util.List-">addAggregation(String, Type, List&lt;String&gt;)</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">Adds a new valid aggregation name, it can now be used in the aggs part of the request file</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClientResponse.html#addDocResponse-java.lang.String-">addDocResponse(String)</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#addQuery-java.lang.String-java.lang.reflect.Type-java.util.List-">addQuery(String, Type, List&lt;String&gt;)</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">Adds a new valid query name, it can now be used in the query part of the request file</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ElasticClient.html#addTemplate-java.lang.String-java.lang.reflect.Type-java.util.List-">addTemplate(String, Type, List&lt;String&gt;)</a></span> - Method in class elasticclient.<a href="../elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></dt>
<dd>
<div class="block">Adds a new valid template name, it can now be used in the template part of the request file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#aggregationBuilder">aggregationBuilder</a></span> - Variable in class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../deserialization/AggregationDeserializer.html" title="class in deserialization"><span class="typeNameLink">AggregationDeserializer</span></a> - Class in <a href="../deserialization/package-summary.html">deserialization</a></dt>
<dd>
<div class="block">AggregationType custom deserializer, it stores the associations between aggregations name and their type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/AggregationDeserializer.html#AggregationDeserializer--">AggregationDeserializer()</a></span> - Constructor for class deserialization.<a href="../deserialization/AggregationDeserializer.html" title="class in deserialization">AggregationDeserializer</a></dt>
<dd>
<div class="block">Default constructor, it creates the association between aggregations names and types/keywords</div>
</dd>
<dt><a href="../aggregations/AggregationException.html" title="class in aggregations"><span class="typeNameLink">AggregationException</span></a> - Exception in <a href="../aggregations/package-summary.html">aggregations</a></dt>
<dd>
<div class="block">Represents an AggregationType specific exception</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationException.html#AggregationException--">AggregationException()</a></span> - Constructor for exception aggregations.<a href="../aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationException.html#AggregationException-java.lang.String-">AggregationException(String)</a></span> - Constructor for exception aggregations.<a href="../aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/metricsaggs/AggregationFactory.html" title="class in aggregations.metricsaggs"><span class="typeNameLink">AggregationFactory</span></a> - Class in <a href="../aggregations/metricsaggs/package-summary.html">aggregations.metricsaggs</a></dt>
<dd>
<div class="block">Metrics aggregation factory</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/metricsaggs/AggregationFactory.html#AggregationFactory--">AggregationFactory()</a></span> - Constructor for class aggregations.metricsaggs.<a href="../aggregations/metricsaggs/AggregationFactory.html" title="class in aggregations.metricsaggs">AggregationFactory</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/package-summary.html">aggregations</a> - package aggregations</dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a> - package aggregations.bucketaggs</dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/metricsaggs/package-summary.html">aggregations.metricsaggs</a> - package aggregations.metricsaggs</dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/AggregationType.html" title="class in aggregations"><span class="typeNameLink">AggregationType</span></a> - Class in <a href="../aggregations/package-summary.html">aggregations</a></dt>
<dd>
<div class="block">Represents a generic aggregation, it provides method to build and retrieve the ES aggregation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#AggregationType--">AggregationType()</a></span> - Constructor for class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#AggregationType-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-">AggregationType(String, String, String, String, List&lt;AggregationType&gt;)</a></span> - Constructor for class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">AggsBucketOrder</span></a> - Class in <a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a></dt>
<dd>
<div class="block">Represents the ordering parameters for bucket aggregations</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/AggsBucketOrder.html#AggsBucketOrder--">AggsBucketOrder()</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs">AggsBucketOrder</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/AggsBucketOrder.html#AggsBucketOrder-java.lang.String-boolean-">AggsBucketOrder(String, boolean)</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs">AggsBucketOrder</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
